KIO Link
KIO Link XC APIKIO Link APIKIO BMS
Huawei BMSHuawei Alert
KIO Link XC APIKIO Link APIKIO BMS
Huawei BMSHuawei Alert
  1. North
  • Auth
    • Sign In
      • Sign in with username
    • Session
      • Sign out
    • API Keys
      • Create my API key
      • List my API keys
      • Get my API key
      • Update my API key
      • Delete my API key
  • BMS
    • North
      • Get latest device data
        POST
      • Get latest alarms
        POST
      • Get EcoStruxure data
        GET
      • List devices
        GET
      • Count points
        GET
      • Count points per device
        GET
  • Schemas
    • Auth
      • SystemRole
      • OrganizationRole
      • OtpType
      • User
      • Session
      • SessionWithUser
      • TokenWithUser
      • SignInResponse
      • TwoFactorChallenge
      • AccountSummary
      • Passkey
      • WebAuthnCredential
      • ApiKey
      • ApiKeyWithSecret
      • Organization
      • Member
      • MemberWithUser
      • FullOrganization
      • OrganizationPermissions
      • SystemPermissions
      • PermissionCheckResult
    • BMS
      • ServiceDescriptor
      • SiteStatus
      • DeviceListRequest
      • LegacyDeviceListError
      • DeviceListResponse
      • DevicePoint
      • DeviceSnapshot
      • OnlineDataResponse
      • Alarm
      • OnlineAlarmResponse
      • PointsResponse
      • PointsForDeviceResponse
      • FileIngestionResult
      • EcoStruxureIngestionResult
      • EnteliCloudIngestionAccepted
      • PanelResult
      • PanelError
      • DeviceConnectionFields
      • CreateDeviceConnectionRequest
      • UpdateDeviceConnectionRequest
      • DeviceConnection
      • DeviceConnectionEnvelope
      • DeviceConnectionList
      • EnteliCloudConnectionName
      • CreateEnteliCloudConnectionRequest
      • EnteliCloudConnection
      • EnteliCloudConnectionEnvelope
      • EnteliCloudConnectionList
  1. North

Count points per device

QA Environment
QA Environment
GET
/{location}/huawei/v2/north/get_points_for_device
BMS/North
Last modified:2026-09-30 05:55:41
Maintainer:José María Esparza Arévalo
Public for mex1 and mex5. For mex2 it requires telemetry:read and a MEX2-entitled organization (session or x-api-key), matching the legacy configuration.

Request

Authorization
API Key
Add parameter in cookie
kio-link-bms.session_token
Example:
kio-link-bms.session_token: ********************
or
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Path Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/mex1/huawei/v2/north/get_points_for_device'

Responses

🟢200
application/json
Success
Bodyapplication/json

Example
{
    "total_devices": 0,
    "devices": [
        {
            "huawei": "string",
            "variables": 0
        }
    ]
}
🟠401Unauthorized
🟠403Forbidden
Modified at 2026-09-30 05:55:41
Previous
Count points
Next
SystemRole
Built with